Bug 475539 - led support compilation error in dmraid
led support compilation error in dmraid
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Heinz Mauelshagen
Cluster QE
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 11:22 EST by Marcin Labun
Modified: 2009-06-20 04:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:48:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch requested for version 24 (already applied in 26) (2.25 KB, text/plain)
2008-12-09 11:22 EST, Marcin Labun
no flags Details
patch for version 26 (428 bytes, text/plain)
2008-12-09 11:24 EST, Marcin Labun
no flags Details

  None (edit)
Description Marcin Labun 2008-12-09 11:22:48 EST
Created attachment 326345 [details]
this patch requested for version 24 (already applied in 26)

Description of problem:
There is compilation problem in dmraid in case led support for sgpio is enabled.

Version-Release number of selected component (if applicable):
dmraid-1.0.0.rc13-24 and 26 

How reproducible:
always

Steps to Reproduce:
1. ./configure --enable-led --enable-intel_led
2. make
3.
  
Actual results:
names conflic between dmaraid lib and dmraid-events resulting compilation error.

Expected results:
No compilation error.

Additional info:
Comment 1 Marcin Labun 2008-12-09 11:24:29 EST
Created attachment 326347 [details]
patch for version 26
Comment 2 Heinz Mauelshagen 2008-12-09 12:22:18 EST
Incorporated into CVS, ready to build.
Comment 4 Heinz Mauelshagen 2008-12-10 10:48:14 EST
28.el5 built.
Comment 6 Jacek Danecki 2008-12-10 11:17:36 EST
(In reply to comment #4)
> 28.el5 built.

Where can we find this build to check?
Comment 7 Heinz Mauelshagen 2008-12-10 11:28:12 EST
Jacek,

I've sent it to Marcin already.
For your convenience, I've send you another copy.
Comment 8 Jacek Danecki 2008-12-10 12:20:25 EST
(In reply to comment #7)
> Jacek,
> 
> I've sent it to Marcin already.
> For your convenience, I've send you another copy.

After some short tests it works OK now.
Comment 10 errata-xmlrpc 2009-01-20 15:48:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0078.html

Note You need to log in before you can comment on or make changes to this bug.